> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/cases/files/patch-the-case-files-of-a-case.md).

# Patch the case files of a case

Replaces the case's full set of attached files with the given list of file IDs, detaching any files that are no longer included. Each newly attached file triggers a case-file-added workflow execution for the partner.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Cases/Files"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"PatchCaseFilesRequest":{"type":"object","properties":{"case_files":{"type":"array","items":{"type":"string","format":"uuid"}}},"title":"PatchCaseFilesRequest"},"FileResource":{"type":"object","properties":{"file_id":{"type":"string"},"path":{"type":"string"},"name":{"type":"string"},"type":{"type":["string","null"]},"mime_type":{"type":"string"},"url":{"type":"string"},"url_thumbnail":{"type":"string"},"case_id":{"type":"string"},"metadata":{"type":["array","null"],"items":{}},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/TagResource"}}},"required":["file_id","path","name","type","mime_type","url","url_thumbnail","metadata","created_at","updated_at"],"title":"FileResource"},"TagResource":{"type":"object","properties":{"id":{"type":"string","description":"Attributes;"},"notes":{"type":"string"},"name":{"type":"string"},"key":{"type":"string"},"description":{"type":["string","null"]},"color":{"type":"string"},"type":{"type":"string"},"removable_role":{"type":["string","null"]},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"}},"required":["id","notes","name","key","description","color","type","removable_role","created_at","updated_at"],"title":"TagResource"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/cases/{case}/files":{"patch":{"operationId":"case.patchCaseFiles","description":"Replaces the case's full set of attached files with the given list of file IDs,\ndetaching any files that are no longer included. Each newly attached file triggers\na case-file-added workflow execution for the partner.","summary":"Patch the case files of a case","tags":["Cases/Files"],"parameters":[{"name":"case","in":"path","required":true,"description":"The case ID","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchCaseFilesRequest"}}}},"responses":{"200":{"description":"Array of `FileResource`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileResource"}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/cases/files/patch-the-case-files-of-a-case.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
